/* This file is part of the Imote2 Codeloader.
 *
 * The Imote2 Codeloader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Imote2 Codeloader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Imote2 Codeloader. If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * StatusPacket.java
 *
 * @author Markus Engel
 * Copyright (c) 2009,2010 Networked Systems Group, University of Kaiserslautern
 */
package imote.communication.rx;

import imote.communication.Packet;

/** Status Packet */
public class StatusPacket extends Packet {
	/** setup new status packet */
	public StatusPacket() {
		super(0);
	}

	/** get status from packet */
	public Status getStatus() {
		return Status.getStatusFromStream(this.getCmd());
	}

	/** wether this packet represents an ACK
	 *
	 * @return true iff the packet represents an ACK
	 */
	public boolean statusIsOk() {
		return this.getStatus().equals(Status.OK);
	}
}
